/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005 Hugo Ruscitti : hugoruscitti@yahoo.com.ar
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#include <SDL.h>
#include "util.h"

/*
 * retorna: 1 en caso de error
 */
int iniciar_sdl (SDL_Surface ** screen)
{
	if (SDL_Init (SDL_INIT_VIDEO))
	{
		printf ("No se puede inicializar SDL: %s\n", SDL_GetError ());
		return 1;
	}

	* screen = SDL_SetVideoMode (640, 480, 16, SDL_HWSURFACE);

	if (* screen == NULL)
	{
		printf ("Fall al iniciar el video: %s\n", SDL_GetError ());
		return 1;
	}

	SDL_WM_SetCaption ("Volleyball - paso 2", NULL);
	
	return 0;
}

void creditos (void)
{
	printf ("\n");
	printf ("Volleyball - video game similary to GNU Arcade Volleyball\n");
	printf ("Copyright (C) 2005 Hugo Ruscitti\n");
	printf ("Web: http://www.losersjuegos.com.ar\n");
	printf ("\n");
	printf (" This is free software; see the source for copying ");
	printf ("conditions. There is NO \n");
	printf (" warranty; not even for MERCHANTABILITY or FITNESS FOR A");
	printf ("PARTICULAR PURPOSE.\n");
	printf ("\n");
}
