/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005 Hugo Ruscitti : hugoruscitti@yahoo.com.ar
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#include <SDL.h>
#include "util.h"
#include "juego.h"

int main (int argc, char * argv [])
{
	SDL_Surface * screen;
	struct Juego juego;
	
	creditos ();

	if (iniciar_sdl (& screen))
		return 1;

	if (juego_iniciar (& juego, screen))
		   return 1;

	while (procesar_eventos ())
	{
		juego_ciclo_logico (& juego);
		juego_ciclo_grafico (& juego, screen);
		SDL_Delay (20);
	}

	juego_terminar (& juego);

	SDL_Quit ();
	
	return 0;
}
