/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005 Hugo Ruscitti : hugoruscitti@yahoo.com.ar
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _DIRTY_H
#define _DIRTY_H

#include <SDL.h>

struct Dirty
{
	SDL_Rect anterior [5];
	int limite_anterior;

	SDL_Rect actual [5];
	int limite_actual;
};


int dirty_iniciar (struct Dirty ** dirty);
void dirty_agregar (struct Dirty * dirty, SDL_Rect * rect);
void dirty_limpiar (struct Dirty * dirty, SDL_Surface * dst, SDL_Surface * f);
void dirty_actualizar (struct Dirty * dirty, SDL_Surface * screen);
int dirty_extraer_todos (struct Dirty * dirty, SDL_Rect * rect);
void dirty_reiniciar (struct Dirty * dirty);

#endif
