/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005 Hugo Ruscitti : hugoruscitti@yahoo.com.ar
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#include <stdlib.h>
#include "juego.h"

int juego_iniciar (struct Juego * juego)
{
	juego->fondo = SDL_LoadBMP ("ima/fondo.bmp");
	
	if (juego->fondo == NULL)
	{
		printf ("No se puede crear el fondo.\n");
		return 1;
	}

	SDL_BlitSurface (juego->fondo, NULL, juego->screen, NULL);
	
	if (pelota_iniciar (& (juego->pelota)))
		return 1;

	if (dirty_iniciar (& (juego->dirty)))
		return 1;

	SDL_Flip (juego->screen);
	
	return 0;
}

void juego_ciclo_logico (struct Juego * juego)
{	
	pelota_actualizar (juego->pelota);
}

void juego_ciclo_grafico (struct Juego * juego)
{
	dirty_limpiar (juego->dirty, juego->screen, juego->fondo);
	
	pelota_imprimir (juego->pelota, juego->dirty , juego->screen);
	
	dirty_actualizar (juego->dirty, juego->screen);
}

void juego_terminar (struct Juego * juego)
{
	free (juego->pelota);
	free (juego->dirty);
	SDL_FreeSurface (juego->fondo);
}
